package test.DEBBTranslator.src;
import javax.xml.transform.Result;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;

/**
 * 
 */

/**
 * Simple application which uses DEBBComponentsSplitter.xsl to move information about each DEBB into a separate file
 * @author gosiaw
 *
 */
public class DEBBComponentsSplitter {

	//	Actually not needed
	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/DEBBComponents_Splitted.xml";
	
	private static final String DEFAULT_INPUT_FILE_NAME = "xml/DEBBComponents.xml";
	
	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "xml/DEBBComponentsSplitter.xsl";

	/**
	 * 
	 */
	public DEBBComponentsSplitter() {
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String inputFileName = DEFAULT_INPUT_FILE_NAME;
		String outputFileName = DEFAULT_OUTPUT_FILE_NAME;
		String debbTransformationFileName = DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME;
		
		if (args != null && args.length > 0) {
			inputFileName = args[0];
			if (inputFileName == null
					|| (inputFileName != null && inputFileName.isEmpty() == true)) {
				inputFileName = DEFAULT_INPUT_FILE_NAME;
			}

			if (args.length > 1) {
				outputFileName = args[1];
				if (outputFileName == null
						|| (outputFileName != null && outputFileName.isEmpty() == true)) {
					outputFileName = DEFAULT_OUTPUT_FILE_NAME;
				}
			}
		}
		
		
		try {
			TransformerFactory tFactory = TransformerFactory.newInstance();
						
			Transformer transformer = tFactory
					.newTransformer(new javax.xml.transform.stream.StreamSource(
							debbTransformationFileName));

			//	Actually output goes to separate files, but there is a result for transformation needed, so use System.out.
			Result result = new javax.xml.transform.stream.StreamResult(System.out);
			transformer.transform(new javax.xml.transform.stream.StreamSource(
					inputFileName), result
/*					new javax.xml.transform.stream.StreamResult(
							new FileOutputStream(outputFileName))*/);
			System.out.println("File " + inputFileName + " transformed into " + outputFileName + " file");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
